Subject: Yeomans plow question

From: Daniel Lee Settles <[email-masked]>
Date: Fri, 30 Jan 1998 16:51:05 -0500 (EST)

A couple of weeks ago someone wrote a message concerning the use of a 
Yeomans plow.  I have been looking for information about the use of this 
plow and other similar implements such as a Wallace plow.  I contacted 
Ken Yeoman via e-mail, and hopefully his company is sending me 
information.  If you know of suppliers for these types of implements in 
the USA I'd appreciate hearing from you.  Thanks.

Dan Settles
Oxford, NC